# -*- coding: utf-8 -*-
# Copyright (c) 2020, JINGROW
# See license.txt


# import jingrow
import unittest
from unittest.mock import Mock, patch

from jcloud.jcloud.pagetype.deploy.deploy import create_deploy_candidate_differences


@patch("jcloud.jcloud.pagetype.deploy.deploy.jingrow.db.commit", new=Mock())
def create_test_deploy_candidate_differences(*args, **kwargs):
	return create_deploy_candidate_differences(*args, **kwargs)


class TestDeployCandidateDifference(unittest.TestCase):
	pass
